curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bccAddress": "<string>",
"body": "<string>",
"ccAddress": "<string>",
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"type": "JobAssigned",
"uid": "<string>"
}Get email template
Requires an internal user role (Admin or Project Manager). To duplicate/clone this template under a new name, submit its returned fields to the create-email-template endpoint.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the email template, as returned by the list/get/create/update endpoints
Response
OK
An organization email template, as returned by the email template endpoints
Comma-separated BCC email addresses or macros (e.g. {sender.email})
Email body content
Comma-separated CC email addresses or macros (e.g. {sender.email})
Internal numeric identifier, encoded as a string
Name of the email template
Email subject line
Email template type. The LoginInfo value is deprecated.
JobAssigned, JobStatusChanged, NextWorkflowStep, JobRejected, LoginInfo, ProjectTransferredToBuyer, SharedProjectAssigned, SharedProjectStatusChanged, AutomatedProjectCreated, AutomatedProjectSourceUpdated, AutomatedProjectStatusChanged, JobWidgetProjectQuotePrepared, JobWidgetProjectQuotePreparationFailure, JobWidgetProjectCreated, JobWidgetProjectCompleted, CmsQuoteReady, CmsWorkCompleted, CmsJobRejected, QUOTE_UPDATED, QUOTE_STATUS_CHANGED, LQA_SHARE_REPORT, PLATFORM_WORK_COMPLETED, PLATFORM_WORK_DECLINED, PLATFORM_WORK_NEW, UserMentionOrComment, ProjectNewReference Unique identifier used in API paths
Was this page helpful?